# Prérequis

## Composants

Ce thème utilise les composants ci-dessous, ils sont installés avec le thème, pensez à les configurer.

### Discourse loading slider

Une barre horizontale s'affiche au dessus de l’entête durant le temps de chargement d'une page.

- Doc : https://meta.discourse.org/t/experiment-on-meta-horizontal-loading-slider/177939
- Dépôt : https://github.com/discourse/discourse-loading-slider

### Icon Header Links

Ajoute des liens sous la forme d’icône en entête du site : Instagram, Gitlab, YouTube,...

- Doc : https://meta.discourse.org/t/custom-header-links-icons/86307
- Dépôt : https://github.com/discourse/discourse-icon-header-links

### Versatile Banner

Ajoute une bannière de trois images avec du texte de présentation - Option plier / déplier
- Doc : https://meta.discourse.org/t/versatile-banner/109133
- Dépôt : https://github.com/tshenry/discourse-versatile-banner

### Showcase Categories

Met en avant deux catégories et leur _top posts_.

- Doc : https://meta.discourse.org/t/showcased-categories-theme-component/173524
- Dépôt : https://github.com/discourse/discourse-showcased-categories

### Categories Layout Override

Les catégories sont présentées sous forme de boîte avec une image. La taille conseillée pour les images de catégorie est de maximum 150px.

- Doc : https://meta.discourse.org/t/categories-layout-override/131098
- Dépôt : https://github.com/tshenry/discourse-categories-layout-override

### Category icons component

Les catégories sont affichées avec des icônes complétant les titres.

- Doc : https://meta.discourse.org/t/category-icons-component/104683
- Dépôt : https://github.com/discourse/discourse-category-icons

### Discourse category banners

Affiche une bannière de présentation de catégorie en haut de chaque page catégorie.

- Doc : https://meta.discourse.org/t/discourse-category-banners/86241
- Dépôt : https://github.com/discourse/discourse-category-banners.git

### DiscoTOC

Ajoute une option Tables des matières lors de la rédaction de topic.

- Doc : https://meta.discourse.org/t/discotoc-automatic-table-of-contents/111143
- Dépôts : https://github.com/discourse/DiscoTOC.git
  
### Easy footer

Ajoute un pied de page simple et responsive avec vos liens.

- Doc : https://meta.discourse.org/t/easy-responsive-footer/95818
- Dépôt : https://github.com/discourse/Discourse-easy-footer

## Plugins

Pour une meilleure expérience utilisateur nous vous conseillons aussi d'installer les plugins suivant.

### One year anniversary

Toutes les années ce plugin créer un sujet anniversaire qui résume l'activité de l'année précédente sur un forum.

- Doc : https://meta.discourse.org/t/discourse-yearly-review-plugin/105713
- Dépôt : https://github.com/discourse/discourse-yearly-review

### Reaction

Ajoutez des émojis et participez de façon dynamique aux conversations.

- Doc : https://meta.discourse.org/t/discourse-reactions-beyond-likes/183261
- Dépôt : https://github.com/discourse/discourse-reactions

### Private topic to discover

Vos contenus privés sont visibles partiellement : encouragez vos contacts à s'inscrire sur la plateforme pour voir la totalité des contenus.

- Doc : https://meta.discourse.org/t/advertise-activity-in-a-private-category-discourse-category-lockdown/70649https://github.com/paviliondev/discourse-category-lockdown
- Dépôt : https://github.com/paviliondev/discourse-category-lockdown

### Solved

Indiquez à une communauté le statut "résolu" d'un problème.

- Doc : https://www.discourse.org/plugins/solved.html
- Dépôt : https://github.com/discourse/discourse-solved

### Automation (ex: for event)

Automatisez des actions complexes (version beta).

- Doc : https://meta.discourse.org/t/discourse-automation/195773
- Dépôt : https://github.com/discourse/discourse-automation

### Follower

Suivez, recevez des notifications de vos membres préférés et tenez vous au courant du nombre de followers.

- Doc : https://meta.discourse.org/t/follow-plugin/110579
- Dépôt : https://github.com/discourse/discourse-follow

### Calendrier

Partagez des événements avec les autres membres sur votre calendrier, ou passez en mode "vacances".

- Doc : https://meta.discourse.org/t/discourse-calendar/97376
- Dépôt : https://github.com/discourse/discourse-calendar

### map and post

Ajoutez votre géolocalisation sur vos post, ceux-ci peuvent favoriser les recherches entre membres.

- Doc : https://meta.discourse.org/t/locations-plugin/69742
- Dépôt : https://github.com/paviliondev/discourse-locations

### Location plugin

Découvrez la carte des membres de votre communauté et organisez des événements avec les membres les plus proches.

- Doc : https://meta.discourse.org/t/locations-plugin/69742/723
- Dépôt : https://github.com/discourse/discourse-calendar
